conversations
listlengths
2
3
source
stringclasses
1 value
stack
stringclasses
1 value
[ { "from": "system", "value": "Remove 'set -o errexit' from test script\n\nIt silently ignored test, if doctest was not found.\n" }, { "from": "human", "value": "#!/bin/bash\n\nset -o nounset\nset -o errexit\n\ncd \"`dirname $0`\"\n\n./hunit/runtests.sh\n./parse/runtests.sh\n./integration/runtest...
shell
chosen
[ { "from": "system", "value": "Add dependency check to test script\n" }, { "from": "human", "value": "#!/bin/sh\n\npython --version\necho \"Please make sure you are using python 3.6.x\"\n\nrm -rf ./tests/testdata/outputs_current/\nmkdir -p ./tests/testdata/outputs_current/\npython3 -m unittest di...
shell
chosen
[ { "from": "system", "value": "Add more logs to check if multiple slaves uses the same workspace.\n" }, { "from": "human", "value": "#!/usr/bin/env bash\n# Bash3 Boilerplate. Copyright (c) 2014, kvz.io\n\nset -o errexit\nset -o pipefail\nset -o nounset\nset -o xtrace\n\n# The first parameter is t...
shell
chosen
[ { "from": "system", "value": "Switch to SHA1 hash for tenant name.\n" }, { "from": "human", "value": "#!/bin/sh\n\nmongoimport -d Midgar -c application --drop application.json\nmongoimport -d Midgar -c applicationAuthorization --drop applicationAuthorization.json\nmongoimport -d Midgar -c custom...
shell
chosen
[ { "from": "system", "value": "Add brew install of python/python3 to include Python dev headers\n" }, { "from": "human", "value": "#!/bin/bash\n\nif [[ $TRAVIS_OS_NAME == 'osx' ]]; then\n brew update\n brew install openssl readline xz\n brew outdated pyenv || brew upgrade pyenv\n brew...
shell
chosen
[ { "from": "system", "value": "Use the location of `brew` to determine where `asdf` is\n" }, { "from": "human", "value": "# ensure dotfiles bin directory is loaded first\nPATH=\"$HOME/.bin:/usr/local/sbin:$PATH\"\n\n# Try loading ASDF from the regular home dir location\nif [ -f \"$HOME/.asdf/asdf...
shell
chosen
[ { "from": "system", "value": "Remove ask sudo password from base kubuntu setup script\n" }, { "from": "human", "value": "#!/bin/bash\n\nif [ ! -x /usr/bin/ansible ]; then\n\tsudo apt-get install -y software-properties-common\n\tsudo apt-add-repository -y ppa:ansible/ansible\n\tsudo apt-get updat...
shell
chosen
[ { "from": "system", "value": "Use $(..) instead of legacy `..`\n" }, { "from": "human", "value": "#!/usr/bin/env bash\n\n# Search plugins extractor\n# * Extract searchplugins from Firefox profile directory\n\nset -o nounset\nset -o errexit\n\nFXPROFILE=\"${USERPROFILE//\\\\/\\/}/AppData/Roaming/...
shell
chosen
[ { "from": "system", "value": "Use \"safe: :unsafe\" to ensure included snippets work\n\nAlso copy the document attributes over and re-use them so\nany variables that need to be resolved are there. Code copied\nfrom https://github.com/asciidoctor/asciidoctor-extensions-lab/blob/master/scripts/asciidoc-coales...
shell
chosen
[ { "from": "system", "value": "Add ability to configure Kafka's advertised.host.name.\nSet it to the container's IP address by default.\n\nWithout this setting we can't connect external consumers to the\ncontainer by specifying \"localhost\" as the ZK or broker list address.\n" }, { "from": "human", ...
shell
chosen
[ { "from": "system", "value": "Revert \"Provide more visibility into why this is failing\"\n\nThis reverts commit b4d478fad137f8b65adf43a4dfce2f97d50be8f0.\n" }, { "from": "human", "value": "#!/bin/bash\n\nset -ex\n\n# Run the unit tests\nvendor/bin/phpunit\n\nBEHAT_TAGS=$(php ci/behat-tags.php)\...
shell
chosen
[ { "from": "system", "value": "Change QBS PPA repository. Add autotools installation.\n\nSigned-off-by: Mika Tammi <6231cbae7a654784bc9a928e5eebb9c4902ca041@gmail.com>\n" }, { "from": "human", "value": "#!/bin/bash\n# Set up packages\n\nset -e\n\napt-get update -y\napt-get upgrade -y\n\n# Install...
shell
chosen
[ { "from": "system", "value": " Change ep-engine to release tag 1.7.3-r23\n" }, { "from": "human", "value": "#!/bin/sh\nexport MEMCACHED_CID=membase-1.7.1.1-3-g185ce38\nexport EP_ENGINE_CID=1.7.2-93-gdb9b25b\nexport VBUCKETMIGRATOR_CID=0fdc96cafc7227d52cbf4682ba7462923b773dae\n\nspecfile=membase-...
shell
chosen
[ { "from": "system", "value": "FEATURE/MAJOR: Set the bases of the parsing algorithm\n\nFor each source node, we will build something like this :\n\nNODE_7 :\n pos++\n switch(token[pos-1]) {\n case 'X' :\n total += 6;\n goto NODE_21;\n case 'Y' :\n total += 0;\n goto N...
shell
chosen
[ { "from": "system", "value": "Add `bundle exec` to all rails alias commands\n" }, { "from": "human", "value": "alias r='rails'\nalias b='bundle exec'\nalias bi='bundle install'\nalias bu='bundle update'\nalias guard='bundle exec guard'\n\nalias warren='rails' # warren g migration\nalias drake='r...
shell
chosen
[ { "from": "system", "value": "test(maze): Fix flakiness in moving app to background in iOS 12.2" }, { "from": "human", "value": "#!/usr/bin/env bash\n\nxcrun simctl openurl \"$iOS_Simulator\" \"http://example.com\"\n" }, { "from": "gpt", "value": "#!/usr/bin/env bash\n\nxcrun simctl ...
shell
chosen
[ { "from": "system", "value": "Replace workarounf for dnf buildep with usage of --spec option\n" }, { "from": "human", "value": "#!/bin/bash\n\n##############################################################################\n# Author: Tomas Babej <tbabej@redhat.com>\n#\n# Install the build depende...
shell
chosen
[ { "from": "system", "value": "[UPD] Change the skip tests parameter to -DskipTests\n" }, { "from": "human", "value": "mvn -q clean verify -Dmaven.test.skip=true\r\nmvn -q exec:java -Dexec.mainClass=\"soaba.services.RestletServer\"\r\n" }, { "from": "gpt", "value": "mvn -q clean insta...
shell
chosen
[ { "from": "system", "value": "Create Logs Directory on Setup with permissions\n" }, { "from": "human", "value": "#!/usr/bin/env bash\n\n# Install API Dependencies\ncomposer install\n\n# Install App Dependencies\nyarn install\n\n# Build app.js\nnode_modules/webpack/bin/webpack.js -p\n\n# Create l...
shell
chosen
[ { "from": "system", "value": "Update apt-get settings by yes.\n" }, { "from": "human", "value": "#!/usr/bin/env bash\n\nunamestr=$(uname)\n\n# Mac OS X\nif [[ $unamestr == \"Darwin\" ]]; then\n pip || easy_install pip\n brew || ruby -e \"$(curl -fsSL https://raw.githubusercontent.com/Homeb...
shell
chosen
[ { "from": "system", "value": "Install latest ansible via apt-get.\n" }, { "from": "human", "value": "#!/usr/bin/env bash\n\nunamestr=$(uname)\n\n# Mac OS X\nif [[ $unamestr == \"Darwin\" ]]; then\n pip || easy_install pip\n brew || ruby -e \"$(curl -fsSL https://raw.githubusercontent.com/H...
shell
chosen
[ { "from": "system", "value": "Install gcc to compile the docker run wrapper\n" }, { "from": "human", "value": "#!/bin/bash\n\npushd $(dirname $0) >/dev/null || exit $?\nSCRIPTROOT=$(pwd)\npopd >/dev/null\n\n# install docker\ncurl -sSL https://get.docker.io/ubuntu/ | sudo sh\n\n# install nodejs\n...
shell
chosen
[ { "from": "system", "value": "Install latest version of sklearn\n" }, { "from": "human", "value": "# Shamelessly copied from https://github.com/scikit-learn-contrib/project-template/blob/master/ci_scripts/install.sh\n\n# Deactivate the travis-provided virtual environment and setup a\n# conda-bas...
shell
chosen
[ { "from": "system", "value": "Discard refreshing poms after committing due to file permissions\n\ngit-svn-id: 2c527eb49caa05e19d6b2be874bf74fa9d7ea670@332443 13f79535-47bb-0310-9956-ffa450edef68\n" }, { "from": "human", "value": "#!/bin/sh\n\nPID=$$\nRUNNING=`ps -ef | grep synchronize.sh | grep ...
shell
chosen
[ { "from": "system", "value": "Remove some debug left in place [skip ci]\n\n\nFormer-commit-id: 7b16e395f9787e3aadebd0d4acfe80ef3ecc55cd [formerly 9ec24877cebe958db3db9281780332261e9ace0f]\nFormer-commit-id: 7961d24b791f6649e18f5a9ae18d5e40c60a0b54" }, { "from": "human", "value": "#!/bin/bash\n#\...
shell
chosen
[ { "from": "system", "value": "Install dev packages for some libraries prior to building python\n" }, { "from": "human", "value": "#!/bin/sh\nREV=$1\n. scripts/common/main.sh\n. scripts/common/build.sh\n\nprepare_build cpython-ucs2/$REV mercurial http://hg.python.org/cpython $REV\ncd build/cpytho...
shell
chosen
[ { "from": "system", "value": "Drop cargo and opam references\n" }, { "from": "human", "value": "# fnm\nexport PATH=$HOME/.fnm:$PATH\nexport VAULT_ADDR=https://vault.apa.comcast.net\n\nexport FZF_DEFAULT_COMMAND='rg --files --follow'\nexport FZF_DEFAULT_OPTS=\"--multi --height 75% --min-height 25...
shell
chosen
[ { "from": "system", "value": "[KFE-180] Fix docs URL echoed after publication\n" }, { "from": "human", "value": "#!/usr/bin/env bash\n\nset -e\n\nartifact_version=$(gradle --quiet printVersion)\ntarget_dir=\"docs/$artifact_version\"\n\ngradle clean javadoc\ngit checkout gh-pages\ngit pull origin...
shell
chosen
[ { "from": "system", "value": "Remove time from right prompt" }, { "from": "human", "value": "# Powerlevel configuration:\n# https://github.com/bhilburn/powerlevel9k\n\nPOWERLEVEL9K_PROMPT_ADD_NEWLINE=true\nPOWERLEVEL9K_RPROMPT_ON_NEWLINE=false\nPOWERLEVEL9K_PROMPT_ON_NEWLINE=true\nPOWERLEVEL9K_D...
shell
chosen
[ { "from": "system", "value": "Clean output directory for CI builds\n" }, { "from": "human", "value": "#!/usr/bin/env sh\n\n# CI publish script\n\nexport DITA_HOME=$PWD/dita-ot-$DITA_OT_VERSION\nexport DITA_OT_DEV=$(find $PWD -name 'dita-ot-*+*' -type d | head -1)\nexport SITE_DIR=$PWD/dita-ot.gi...
shell
chosen
[ { "from": "system", "value": "Update apt cache before install packages\n\nMake sure the apt cache is up-to-date before installing packages" }, { "from": "human", "value": "#!/bin/bash\n\nset -eux\nset -o pipefail\n\nsudo apt-get install -y python3 python3-dev python3-pip swig portaudio19-dev lib...
shell
chosen
[ { "from": "system", "value": "Allow database name and username to be set by environment variables\n" }, { "from": "human", "value": "#!/bin/bash\n\nif [ ! -f /data/db/.mongodb_password_set ]; then\n\techo \"Setting password...\"\n\n\tmongod --fork --logpath /var/log/mongodb/mongodb.log\n\n\tRET=...
shell
chosen
[ { "from": "system", "value": "Fix typo in json file, that makes generated json unusable\n" }, { "from": "human", "value": "#/bin/bash\n\nDIRNAME=${PWD##*/}\nFIRSTLINE=1\n\ncat<<EOF > album.json\n{\n \"title\": \"$DIRNAME\",\n \"desc\": \"\",\n \"name\": \"_$DIRNAME\",\n \"sortcode\": -1,\n ...
shell
chosen
[ { "from": "system", "value": "Update CF url mapping script to target production\n" }, { "from": "human", "value": "#!/bin/bash -x\n\n\n\n\n\n\n\ncf map sagan blog interface21.com &\ncf map sagan blog springsource.com &\ncf map sagan blog springsource.org &\ncf map sagan interface21.com &\ncf map...
shell
chosen
[ { "from": "system", "value": "Remove ruby from the default packages.\n\nBoxes shouldn't install packages which are not directly needed. This originally\ncame to support the install of Chef, but this is now done through a package.\n" }, { "from": "human", "value": "# postinstall.sh based upon Mit...
shell
chosen
[ { "from": "system", "value": "Add the eth0 config into interfaces.d\n" }, { "from": "human", "value": "#!/bin/sh -eux\n\nubuntu_version=\"`lsb_release -r | awk '{print $2}'`\";\nmajor_version=\"`echo $ubuntu_version | awk -F. '{print $1}'`\";\n\nif [ \"$major_version\" -le \"15\" ]; then\n echo...
shell
chosen
[ { "from": "system", "value": "Fix tests-all script to launch test on licences.\n" }, { "from": "human", "value": "#!/bin/bash\n\nEXIT_STATUS=0\n\nfunction check_command {\n \"$@\"\n local STATUS=$?\n if [ $STATUS -ne 0 ]; then\n echo \"error with $1 ($STATUS)\" >&2\n EXIT_...
shell
chosen
[ { "from": "system", "value": "Allow variables to be changed at run-time\n" }, { "from": "human", "value": "#!/bin/sh\n#$Id$\n#Copyright (c) 2016-2017 Pierre Pronchery <khorben@defora.org>\n#This file is part of DeforaOS Desktop Phone\n#This program is free software: you can redistribute it and/o...
shell
chosen
[ { "from": "system", "value": "Correct right values with right messages\n" }, { "from": "human", "value": "#!/bin/bash\n\n$TSHARK -r $1 -V | gawk -f $BUILD_DIR/ComparePcap.awk - > $(basename $1).txt\n$TSHARK -r $2 -V | gawk -f $BUILD_DIR/ComparePcap.awk - > $(basename $2).txt\n\n$DIFF $(basename ...
shell
chosen
[ { "from": "system", "value": "Increase the number of tests, removing every app bundle in reverse order.\n" }, { "from": "human", "value": "#!/bin/bash\n\npushd `dirname $0`\n\nfor foo in {0..1}\ndo\n\n if [[ \"$foo\" -eq \"1\" ]]; then\n cp ./foo.keter /opt/keter/incoming/\n # sleep 0.2\n...
shell
chosen
[ { "from": "system", "value": "Improve git export with automatic creation and update of authors and branches file.\n" }, { "from": "human", "value": "#!/bin/sh\ncd `dirname \"$0\"`\nmtn sy\nif [ ! -d .git ]; then\n git init\n git remote add origin git@github.com:lapo-luchini/asn1js.git\n ...
shell
chosen
[ { "from": "system", "value": "Add todo note for later\n" }, { "from": "human", "value": "#!/bin/bash -e\n\n#\n# Summary\n# gl.sh - summarize a particular user's contributions to a repository.\n#\n# Usage\n# ./gl.sh [user-name]\n#\n# Description\n# Skims the output of an abbreviated git log...
shell
chosen
[ { "from": "system", "value": "Add ros-kinetic-pointcloud-to-laserscan to required package shell\n" }, { "from": "human", "value": "#!/bin/bash\n\nsudo apt-get install\\\n ros-kinetic-controller-manager\\\n ros-kinetic-gazebo-ros-control\\\n ros-kinetic-diff-drive-controller\\\n r...
shell
chosen
[ { "from": "system", "value": "Add R16B03-1 to the list of releases to test\n" }, { "from": "human", "value": "#!/bin/sh\n\nKERL_INSTALL_PATH=~/erlang\nKERL_RELEASES=\"r15b01 r15b02 r15b03 r16b r16b01 r16b02 r16b03 maint master\"\n\nmake build-tests\n\nfor rel in $KERL_RELEASES\ndo\n\techo\n\tech...
shell
chosen
[ { "from": "system", "value": "Drop screenrc from setup script\n" }, { "from": "human", "value": "#!/usr/bin/env bash\n\n# Dotfiles initializer\n# * Create symlinks to dotfiles in your repository.\n\nset -o nounset\nset -o errexit\n\nDOTFILES=( gemrc gitconfig gvimrc inputrc irbrc pryrc screenrc...
shell
chosen
[ { "from": "system", "value": "Work around \"adb shell\" hang.\n" }, { "from": "human", "value": "#!/bin/bash -ev\n\n. ./setenv.sh\n\ncat \"$(which android-wait-for-emulator)\"\necho y | sdkmanager 'system-images;android-10;default;armeabi-v7a' 'platforms;android-10'\nandroid list targets\necho n...
shell
chosen
[ { "from": "system", "value": "Install Atom packages from my own forks\n\n* include atom-script\n" }, { "from": "human", "value": "#!/usr/bin/env bash\n\ncd \"$(dirname \"$0\")/..\"\nDOTFILES_ROOT=$(pwd)\n\necho \"• Setting Atom up\"\nATOMDIR=$HOME/.atom\nfor file in \"config.cson\" \"init.coffee...
shell
chosen
[ { "from": "system", "value": "Make dev script create database moray, rather than test\n" }, { "from": "human", "value": "export MORAY_URL=http://localhost:8080\nexport PATH=$PWD/build/node/bin:$PWD/node_modules/.bin:$PATH\n\nalias newdb='dropdb test; createdb test'\nalias test_db='newdb && nodeu...
shell
chosen
[ { "from": "system", "value": "Add nodemon to default installation\n" }, { "from": "human", "value": "echo \"=========================\"\necho \"Provisioning VM...\"\necho \"=========================\"\n\ncd /home/vagrant\n\necho \"Installing mongodb...\"\nsudo apt-key adv --keyserver hkp://keyse...
shell
chosen
[ { "from": "system", "value": "Add salt to build script\n" }, { "from": "human", "value": "#!/bin/bash\nset -e\n\nfor pkg in \"httplib2 anyjson billiard ipdb funcy dpkt-fix markdown2 amqp kombu pcapy argcomplete apache-libcloud boto dnspython py-bcrypt pycrypto graphviz pygraphviz python-dateutil...
shell
chosen
[ { "from": "system", "value": "Add of maven home on script\n" }, { "from": "human", "value": "#!/bin/sh\n./xvfb-run -s \"-screen 0 1280x1024x24\" mvn clean install\n" }, { "from": "gpt", "value": "#!/bin/sh\n./xvfb-run -s \"-screen 0 1280x1024x24\" $MAVEN_HOME/bin/mvn clean install\n"...
shell
chosen
[ { "from": "system", "value": "Add bzip2 to test install\n\nI think this has gone missing on test nodes during unpuppeting. Add,\nas the gentoo job grabs some bz2 tarballs for extraction.\n\nChange-Id: Icb82930702124f7bf112b03a469d90d4163d398b\n" }, { "from": "human", "value": "#!/bin/bash\n\nse...
shell
chosen
[ { "from": "system", "value": "Copy binary into main go path\n" }, { "from": "human", "value": "#!/bin/bash\n\n# This script builds the application from source for multiple platforms.\nset -e\nset -x\n\nVERSION=${VERSION:-(development)}\nBINARY=${BINARY:-delmo}\n\n# Get the parent directory of wh...
shell
chosen
[ { "from": "system", "value": "Send darwin regression mail to normal lists\n\nPreviously it was only sent to the all regressions list. The non-deterministic\nerrors have been cleaned up so it makes sense to send it to all.\n" }, { "from": "human", "value": "#!/usr/bin/env bash\n#\n# Test default ...
shell
chosen
[ { "from": "system", "value": "Fix tmux repository URL: it has moved to github\n" }, { "from": "human", "value": "#!/bin/sh\nREV=$1\n\n. scripts/common/main.sh\n. scripts/common/build.sh\n\nprepare_build tmux/tmux-$REV \\\n\t--url git://git.code.sf.net/p/tmux/tmux-code \\\n\t--rev $REV\n\ncd \"$B...
shell
chosen
[ { "from": "system", "value": "Add branch info to metadata.txt\n" }, { "from": "human", "value": "#!/bin/sh\n# Copyright (c) Arduino. All rights reserved.\n# Licensed under the MIT license. See LICENSE file in the project root for full license information.\n\nSDK_DIR=$1\nSRC_SDK_DIR=../src/sdk\nE...
shell
chosen
[ { "from": "system", "value": "Revert host past to more standard /srv\n" }, { "from": "human", "value": "docker rm -f syncthing\n\ndocker run -d --restart=always \\\n -v /nut/syncthing-sync:/srv/data \\\n -v /nut/syncthing-config:/srv/config \\\n -p 22000:22000 -p 21027:21027/udp \\\n --name...
shell
chosen
[ { "from": "system", "value": "Build from GitHub, push to localhost:5000\n" }, { "from": "human", "value": "#!/bin/sh\n\nexport DOCKER_HOST=tcp://localhost:2375\n\ndocker build -t registry.infra.cbd.int:5000/www-cbd-int .\n\ndocker push registry.infra.cbd.int:5000/www-cbd-int\n" }, { "fro...
shell
chosen
[ { "from": "system", "value": "Revert \"Added Packages update to Integration tests\"\n\nThis reverts commit 3ce98b118567bf82a033af09b620261567e335c6.\n" }, { "from": "human", "value": "#!/bin/bash\n# shellcheck disable=SC2034\n# shellcheck disable=SC1090\n# Script Name: AtoMiC Integration Test Ap...
shell
chosen
[ { "from": "system", "value": "Move where the add happens\n" }, { "from": "human", "value": "#! /usr/bin/env bash\n\nset -e -u -o pipefail\n\nhere=\"$(dirname \"$BASH_SOURCE\")\"\ncd \"$here\"\n\nnpm i\nmake clean\nmake\n\n# First let's get the index clean from other files that CI runs create.\ng...
shell
chosen
[ { "from": "system", "value": "Expand Pandoc's arguments for clarity, re-add David's parameters\n" }, { "from": "human", "value": "#!/bin/bash\n\npandoc -s -S --toc --toc-depth=4 --include-in-header=api_2_0_spec-head.html api_2_0_spec.md -o api_2_0_spec.html\n\n" }, { "from": "gpt", "...
shell
chosen
[ { "from": "system", "value": "Set lenskit.web.url for CI site builds\n" }, { "from": "human", "value": "#!/bin/sh\n\nDEPLOY_JDK=oraclejdk7\n\n. etc/ci/ci-helpers.sh\nskip_unless_master_build site\n\ncase \"$TRAVIS_BRANCH\" in\nmaster|release/*) DO_RUN=yes;;\n*) skip \"site disabled for branch $T...
shell
chosen
[ { "from": "system", "value": "Change to stable phantomjs version\n" }, { "from": "human", "value": "#!/usr/bin/env bash\n\necho \"TRAVIS_NODE_VERSION: ${TRAVIS_NODE_VERSION}\"\n\nif [ ${TRAVIS_NODE_VERSION} = '5.9' ]; then\n npm install -g phantomjs-prebuilt@2.1.7\nfi\n" }, { "from": "g...
shell
chosen
[ { "from": "system", "value": "Revert \"Try to not restart puppetmasters till they're idle\"\n\nThis reverts commit bbb4a6d74587392263e5390d0966ba307c04e10a.\n" }, { "from": "human", "value": "#!/bin/bash\nif [ -f \"/etc/init.d/apache2-puppetmaster\" ]; then\n /etc/init.d/apache2-puppetmaster st...
shell
chosen
[ { "from": "system", "value": "Remove warning when trying to remove unset routes\n\n\r\n # ip rule list\r\n 0: from all lookup local\r\n 220: from all lookup 220\r\n 32766: from all lookup main\r\n 32767: from all lookup default\r\n # bash -x apply.sh\r\n [...]\r\n + ip rule...
shell
chosen
[ { "from": "system", "value": "Add tree to installs list for brew on OS X.\n" }, { "from": "human", "value": "#!/bin/zsh\n\nbrew tap homebrew/versions\nbrew tap staticfloat/julia\n\nformulas=(zsh-syntax-highlighting leiningen elixir ghc cabal-install python3 \\\n clojurescript rust julia...
shell
chosen
[ { "from": "system", "value": "CI: Fix fetch tool internal source code path\n\nAs localCI overrides GOPATH, it does not find\nthe fecth tool source code, this commit verifies\nif the source code of fetch tools exists in the\nnew GOPATH, or if it is necessary to get the\nsource code.\n\nFixes: #308\n\nSigned-...
shell
chosen
[ { "from": "system", "value": "Fix typo in prerequisites script\n" }, { "from": "human", "value": "#!/bin/bash\n\n# Determine package manager\nYUM_CMD=$(which yum)\nAPT_GET_CMD=$(which apt-get)\nif [[ \"$YUM_CMD\" != \"\" ]]; then\nsudo yum install -y libvirt libvirt-devel libvirt-daemon-kvm sysl...
shell
chosen
[ { "from": "system", "value": "Fix incorrect singing key filename\n" }, { "from": "human", "value": "#!/usr/bin/env bash\nif [ \"$TRAVIS_BRANCH\" = 'master' ] && [ \"$TRAVIS_PULL_REQUEST\" == 'false' ]; then\n \topenssl aes-256-cbc -K $encrypted_46b4bbc90abb_key -iv $encrypted_46b4bbc90abb_iv -i...
shell
chosen
[ { "from": "system", "value": "Remove reference to /etc/amcat path for scripts\n" }, { "from": "human", "value": "# wait for elastic and postgres\nset -e\npython3 wait_services.py\nif ! (psql -h postgres -U postgres -lqtA | grep -q \"^amcat|\"); then\n createdb -h postgres -U postgres amcat\nf...
shell
chosen
[ { "from": "system", "value": "Remove obsolete logs from hudson\n" }, { "from": "human", "value": "#!/bin/sh\n\nset -e\nset -u\nset -x\n#TODO: script the installation of the pre-reqs: sqlite3\n#sudo apt-get install sqlite3 libsqlite3-dev libsqlite3-ruby\n\noutdir='build_artefacts'\nrm -rf $outdir...
shell
chosen
[ { "from": "system", "value": "Upgrade to Concourse Release Scripts 0.2.1\n\nThis release fixes a bug where Spring Boot specifics were baked in the\napplication itself.\n" }, { "from": "human", "value": "#!/bin/bash\nset -ex\n\n###########################################################\n# UTILS\...
shell
chosen
[ { "from": "system", "value": "Call SoptBugs on CI instead of FindBugs\n" }, { "from": "human", "value": "#!/bin/bash -xe\ndocker run \\\n-w /digdag \\\n-v `pwd`/:/digdag \\\n-v ~/.gradle:/root/.gradle \\\n$BUILD_IMAGE \\\n./gradlew findbugsMain findbugsTest --info --no-daemon\n" }, { "fr...
shell
chosen
[ { "from": "system", "value": "Enable gunicorn reloading during development\n\nTo avoid manually restarting the service after each code change.\n" }, { "from": "human", "value": "#!/bin/bash\n\nset -e\n\nARGS=$*\n\necho \"Run the RWD Docker container.\"\n\nif [ -z \"$RWD_REPO\" ]; then\n echo ...
shell
chosen
[ { "from": "system", "value": "Copy contents of bosh-cpi-src to the output resource in promote job\n\nDeleting the output resource doesn't work.\n\nSigned-off-by: Edwin Xie <6bc24e9c160281972837d9e13287696d26612564@pivotal.io>\n" }, { "from": "human", "value": "#!/usr/bin/env bash\n\nset -e -x\n\...
shell
chosen
[ { "from": "system", "value": "Change GH_TOKEN to GITHUB_TOKEN as it was double defined\n" }, { "from": "human", "value": "#!/bin/bash -e\nset -o pipefail\n\necho \"$TRAVIS_BRANCH\"\n\nif [ \"$TRAVIS_BRANCH\" = \"master\" ] && [ \"$TRAVIS_PULL_REQUEST\" = \"false\" ]\nthen\n echo \"Deploying!\"\...
shell
chosen
[ { "from": "system", "value": "Deploy sha1 file hashes to s3\n" }, { "from": "human", "value": "aws s3 cp dist/static.tar.gz s3://thusoy.com/dist/blag-static.tar.gz --acl public-read\naws s3 cp dist/thusoy-blag-0.1.0.tar.gz s3://thusoy.com/dist/blag.tar.gz --acl public-read\n" }, { "from"...
shell
chosen
[ { "from": "system", "value": "Update compilation command for Ubuntu 16.04LTS and samtools-1.7\n" }, { "from": "human", "value": "#!/bin/bash\n\n# compilation command for Ubuntu Linux\nexport CFLAGS=`pkg-config --cflags --libs glib-2.0`\nexport SAMTOOLS=../samtools-0.1.19\ngcc bam_hmp_util.c bam_...
shell
chosen
[ { "from": "system", "value": "Add function to assert file or directory exists\n" }, { "from": "human", "value": "include base.comparator.BaseComparator\n\ninclude calendar.util.CalendarUtil\n\ninclude logger.util.LoggerUtil\n\ninclude string.util.StringUtil\ninclude string.Validator.StringValida...
shell
chosen
[ { "from": "system", "value": "Install the silver searcher and git\n" }, { "from": "human", "value": "homeshick link vim\nbrew install neovim\n\n# https://robots.thoughtbot.com/my-life-with-neovim\nmkdir -p ${XDG_CONFIG_HOME:=$HOME/.config}\nln -s $HOME/.vim $XDG_CONFIG_HOME/nvim\nln -s $HOME/.vi...
shell
chosen
[ { "from": "system", "value": "Fix call to Rake for rspec runs\n" }, { "from": "human", "value": "source ~/.bashrc\ncd .\nbundle install\nrake db:schema:load\nSPEC_OPTS=\"--format html\" rake rspec\nCUCUMBER_FORMAT=html rake cucumber\n" }, { "from": "gpt", "value": "source ~/.bashrc\n...
shell
chosen
[ { "from": "system", "value": "Fix MATAG version defaulting to latest\n" }, { "from": "human", "value": "#!/bin/sh\n\n# Set the environment variables\nCONTAINERDIR=/tmp\nBUILDDIR=${BUILDDIR-/tmp/apps-static}\nCOMPRESS=${COMPRESS-true}\nDEV=${DEV-false}\n# Docker image tag\nDTAG=${DTAG-edge}\n\n# ...
shell
chosen
[ { "from": "system", "value": "Add vim-plug to setup script\n" }, { "from": "human", "value": "#!/bin/bash\n\n# This script should be run within the root of the git repo\nDOTFILES=$(pwd)\nln -s $DOTFILES/.tmux.conf ~/.tmux.conf\nln -s $DOTFILES/.vimrc ~/.vimrc\nln -s $DOTFILES/.vimrc ~/.nvimrc\n"...
shell
chosen
[ { "from": "system", "value": "Add RUBYLIB and BUNDLE_BIN_PATH to Concourse Filter whitelist\n" }, { "from": "human", "value": "#! /usr/bin/env bash\n\npushd /etc &>/dev/null\n git clone https://github.com/pivotal-cf-experimental/concourse-filter &>/dev/null\n rm -rf concourse-filter/.git &>/de...
shell
chosen
[ { "from": "system", "value": "Read repository passphrase at start and reuse for all publishes\n" }, { "from": "human", "value": "#!/bin/bash\n\nRUNTIMES=\"provided go1.x nodejs4.3 nodejs6.10 nodejs8.10 nodejs10.x python2.7 python3.6 python3.7 ruby2.5 java8 dotnetcore2.0 dotnetcore2.1\"\n\nexport...
shell
chosen
[ { "from": "system", "value": "[ci] Use the private-dev packages again.\n" }, { "from": "human", "value": "#!/usr/bin/env bash\n\n# make sure we're up to date\nsudo apt-get update -qq\n\n# install go get dependencies\nsudo apt-get install -qq mercurial\n\n# install backend dependencies\nsudo add-...
shell
chosen
[ { "from": "system", "value": "Include errors from tar call.\n" }, { "from": "human", "value": "#!/bin/bash\n[ $# -eq 0 ] && { echo \"Usage $0 hg_copy_repo repo_name\"; exit 999; }\n\nbase=$1\n\nSERVER=\"hg.research.att.com\"\nUSR=\"gviz\"\nOUT=\"outfile_$base\"\nssh $USR@$SERVER \"(bin/hg_get_re...
shell
chosen
[ { "from": "system", "value": "Add paths for GNU findutils to shell\n" }, { "from": "human", "value": "# From the coreutils Homebrew package:\n#\n# Commands also provided by MacOS have been installed with the prefix \"g\".\n# If you need to use these commands with their normal names, you can add ...
shell
chosen
[ { "from": "system", "value": "Use one less VM, so the demo doesn't take too long to setup\n" }, { "from": "human", "value": "#!/bin/sh -ex\n\nsource $(git rev-parse --show-toplevel)/quartet/scripts/defaults.sh\n\nfor i in '1' '2' '3' '4'; do\n create_machine_with_proxy_setup \"${MACHINE_NAME_PR...
shell
chosen
[ { "from": "system", "value": "Use the common resource name for locations instead of a Retail-specific one\n\n(This is being fixed internally)\n" }, { "from": "human", "value": "#!/bin/bash\n\n# Temporary fix for broken namespaces. This is being fixed internally.\nsed -i 's/Google\\.Cloud\\.Retai...
shell
chosen
[ { "from": "system", "value": "Add colors to shell script\n" }, { "from": "human", "value": "#!/usr/bin/env bash\n\ncat << EOF\nCalling publish artefacts to GitHub Pages script.\n\nReporters:\n name: ${GH_USER_NAME}\n email: ${GH_USER_EMAIL}\n\nEOF\n\ngit clone \"${GH_REMOTE}\" gh-pages --singl...
shell
chosen
[ { "from": "system", "value": "Set the last modified date to help xcoDe's dependency tracking\n\n--HG--\nextra : convert_revision : svn%3A99687598-2e92-11dd-8019-fe7b9d601d1b/trunk%403559\n" }, { "from": "human", "value": "#!/bin/bash\n\nprimary=English\nprimarydir=$primary.lproj\nfor language in...
shell
chosen
[ { "from": "system", "value": "Allow updating BYOND version in only one location\n" }, { "from": "human", "value": "#!/bin/sh\n\n#Project dependencies file\n#Final authority on what's required to fully build the project\n\n#byond version\n#note, this also needs to be changed in the Dockerfile's i...
shell
chosen
[ { "from": "system", "value": "Fix incorrect date on VBox\n" }, { "from": "human", "value": "# Make sure udev doesn't block our network on centos 6\nif uname -r | grep -q el6 ; then\n rm -rf /etc/udev/rules.d/70-persistent-net.rules\n rm -rf /lib/udev/rules.d/75-persistent-net-generator.rules\n...
shell
chosen
[ { "from": "system", "value": "Test new multi-band testskew code.\n" }, { "from": "human", "value": "#!/bin/sh\n\nset -e\n\nCC=${CC:-cc}\n\nuname -a\n${CC} --version\n\n./configure\nmake all\n./configure --enable-coverage\nmake clean all\ncd src\nfor arg in '' '-w' '-p' '-p -w'\ndo\n ./testskew ...
shell
chosen
[ { "from": "system", "value": "Allow script to be run from anywhere in the repo. Update script to deal with our new paths.\n\nReviewers: featherless, #material_components_ios_owners\n\nReviewed By: featherless, #material_components_ios_owners\n\nProjects: #material_components_ios\n\nDifferential Revision: ht...
shell
chosen
[ { "from": "system", "value": "Add drm alias to delete docker containers in exited status\n" }, { "from": "human", "value": "#!/bin/sh\nalias dps='docker ps -a'\nalias dm='docker $(docker-machine config)'\nalias dmps='docker $(docker-machine config) ps -a'\nalias dms='docker-machine start'\nalias...
shell
chosen
[ { "from": "system", "value": "Remove dirty git checking --it didn't work\n" }, { "from": "human", "value": " #!/bin/bash\n\nDIR=\"$( cd \"$( dirname \"${BASH_SOURCE[0]}\" )\" && pwd )\"\n\ncd $DIR\n\n# Returns \"*\" if the current git branch is dirty.\nfunction git_dirty {\n [[ $(git diff --sho...
shell
chosen
[ { "from": "system", "value": "ENH: Use the branch, date, and sha in the CDash submission name\n" }, { "from": "human", "value": "#!/bin/bash\n\n# This is a script to build the modules and run the test suite in the base\n# Docker container.\n\ndie() {\n echo \"Error: $@\" 1>&2\n exit 1;\n}\n\nc...
shell
chosen
[ { "from": "system", "value": "Include more build log lines in email notification\n" }, { "from": "human", "value": "#!/bin/bash\n\n# Generate a build ID based on the current time and the PID of this script\nbuild=\"$(date '+%s')-$$\"\n\n# Do the build and capture its output in a .log file\nmake ...
shell
chosen